<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Gestion des fonctionnalités d'administration
// Nom      : admin.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
session_start();
include_once "auth.php";
include_once "../moteur/fonctions.php";

  $visiteurs= array();
  $serveurs= array();
  $wsbase= array();
  $assoc= array();
  $conftype = 0;
  $confnom  = "";
  $racineServeur= getDocumentRoot();
  
  // Modifier les chemins des répertoires en cas d'incompatibilité
  $cheminPass             = "../wspasswd/";
  $chemin= $cheminPass."conf.ini";

  if (!is_dir($cheminPass)) { @mkdir ($cheminPass);
    $dest = fopen($cheminPass.".htaccess", "w+");
    fwrite($dest, "deny from all");
    fclose ($dest);
  }


  if (is_file($chemin)) {
    $lines = file($chemin);

    // ==== Chargement du fichier de configuration ====
    foreach ($lines as $line_num => $line) {
       if ( preg_match("/^\[([[:alnum:][:space:]_-]+)\]/i", rtrim($line),$visit)==1 )
             {   $confnom= $visit[1]; $visiteurs["$confnom"]= array(); $conftype=1; }
   elseif ( preg_match("/^\[#([[:alnum:][:space:]_-]+)\]/i",rtrim($line),$servr)==1 )
             {    $confnom= $servr[1]; $serveurs["$confnom"]= array(); $conftype=2; }
      elseif ( preg_match("/^\[\*Webshare\*\]/i", rtrim($line))==1 ) { $conftype=3; }
      elseif ( preg_match("/^\[>Associations\]/i",rtrim($line))==1 ) { $conftype=4; }
      else {
        $contenu= explode ("=",rtrim($line));
        if (!empty($contenu[0])) switch ($conftype) {
        case 1: $visiteurs["$confnom"][rtrim($contenu[0])]= trim($contenu[1]); break;
        case 2:  $serveurs["$confnom"][rtrim($contenu[0])]= trim($contenu[1]); break;
        case 3:                $wsbase[rtrim($contenu[0])]= trim($contenu[1]); break;
        case 4:                 $assoc[rtrim($contenu[0])]= trim($contenu[1]); break;}
      }
    }
  }

  // Connexion ou reconnexion à la base de données 
  if (@!mysql_ping($_SESSION["connectBase"])) {
    // Connexion à la base de données
    if (($link=@mysql_pconnect($wsbase["serveurBase"], $wsbase["loginBase"], $wsbase["passBase"]))!==false) {
      if (mysql_select_db($wsbase["tableBase"])!==false) { 
        $_SESSION["connectBase"]= $link; 
        mysql_query("SET NAMES 'utf8'");
        
          // Création des tables si celles-ci sont inexistantes
          if (!mysql_query("SELECT * FROM wslog",$_SESSION["connectBase"])   ||!mysql_query("SELECT * FROM wsbase",$_SESSION["connectBase"])||
              !mysql_query("SELECT * FROM wsfiles",$_SESSION["connectBase"]) ||!mysql_query("SELECT * FROM wsuser",$_SESSION["connectBase"])||
              !mysql_query("SELECT * FROM wsserver",$_SESSION["connectBase"])||!mysql_query("SELECT * FROM wsasso",$_SESSION["connectBase"])) {
            
            // Récupération du fichier ws.sql et création des tables
            $creaTable=@file_get_contents("ws.sql");
            $listTable=explode(";",$creaTable);
            foreach ($listTable as $data) {
              $result= mysql_query($data,$_SESSION["connectBase"]);
            }
          }         
        
      }
    } 
  }

  // Si la base de données est accessible, on privilégie les informations qu'elle contient
  if (@mysql_ping($_SESSION["connectBase"])) {

    // Suppression des données éventuellement contenues dans le fichier .ini
    $visiteurs= array();
    $serveurs= array();
    $assoc= array();
    $conftype = 0;
    $confnom  = "";

    // Remplissage avec les données stockées dans la base
    if (($result= mysql_query("SELECT * FROM wsbase",  $_SESSION["connectBase"]))!==false) { 
      $row = mysql_fetch_assoc($result);
      foreach ($row as $varData => $data) $wsbase["$varData"]= "$data";
    }
    if (($result= mysql_query("SELECT * FROM wsserver ORDER BY triServeur",$_SESSION["connectBase"]))!==false) {
      while ($row = mysql_fetch_assoc($result)) {
        $nom = $row["nomServeur"];      
        $serveurs[$nom]= array();      
        foreach ($row as $varData => $data) $serveurs[$nom]["$varData"]= "$data";
      }
    }
    if (($result= mysql_query("SELECT * FROM wsuser",  $_SESSION["connectBase"]))!==false) {
      while ($row = mysql_fetch_assoc($result)) {
        $nom = $row["nomUser"];
        $visiteurs[$nom]= array();
        $listeServeur = "";
        foreach ($row as $varData => $data) $visiteurs[$nom]["$varData"]= "$data";
        
        $listeServeur = explode ("|",$visiteurs[$nom]["serveurs"]);
        foreach ($listeServeur as $numero => $data) $visiteurs[$nom]["serveur$numero"]= "$data";
      }         
    }
    if (($result= mysql_query("SELECT * FROM wsasso",  $_SESSION["connectBase"]))!==false) {
      while ($row = mysql_fetch_assoc($result)) {
        foreach ($row as $varData => $data) $assoc[$row["type"]]= "$row[libelle]|$row[mime]|$row[action1]|$row[action2]"; 
      }     
    }

  }

?>

