<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Envoi un élément par mail
// Nom      : envoi_mail.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";

$nomSrv = $_SESSION["serveurActif"];
$chemin = blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/".$_SESSION["dossierActif"]."/");
$typeSrv= $_SESSION["$nomSrv"]["typeServeur"];
$regMail= "/^[a-zA-Z0-9\.\-_]+@[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,5}$/i";
$boundary = '-----=' . md5( uniqid ( rand() ) );

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["sendMail"]=="1") {

// Test du contenu des variables
if (!empty($_REQUEST["nomElement"])&&!empty($_REQUEST["adresseElement"])&&!empty($_REQUEST["titleElement"])) {
  if (preg_match($_SESSION["varsUser"], $_REQUEST["nomElement"])==1) { echo $_SESSION["dia"]["noPermission"]; exit; }
  if (preg_match($regMail,$_REQUEST["adresseElement"])==0) { echo $_SESSION["dia"]["sendMailProblem"]; exit; }

// Construction des chemins
  $chemin        = utf8_encode($chemin);
  $nomFichier    = convCar(urldecode(trim($_REQUEST["nomElement"])));
  $cheminFichier = stripslashes(blindeChemin($chemin.$nomFichier));
  $extension     = trim($_REQUEST["typeElement"]);
  $mimeFichier   = $_SESSION["assoc"]["$extension"]["extmime"];

// Lecture du fichier
  if (($fp = fopen($cheminFichier, 'rb'))===false) { echo $_SESSION["dia"]["noPermission"]; exit; }
  $fileContent   = fread($fp, filesize($cheminFichier));
  fclose($fp);
  $contentEncode = chunk_split(base64_encode($fileContent));

// Création du header et du message
  $headers = 'From: "WebShare"<mail@mondomaine.fr>'."\r\n"
           . "MIME-Version: 1.0"."\r\n"
           . "Content-Type: multipart/mixed; boundary=\"$boundary\"";

  $msg  = "Message au format MIME 1.0 multipart/mixed.\n\n";
  $msg .= "--".$boundary."\n";
  $msg .= "Content-Type: text/plain; charset=\"utf-8\"\n";
  $msg .= "Content-Transfer-Encoding: 8bit\n\n";
  $msg .= utf8_decode($_REQUEST["textElement"])."\n\n";
  
  $msg .= "--".$boundary."\n";
  $msg .= "Content-Type: $mimeFichier; name=\"$nomFichier\"\n";
  $msg .= "Content-Transfer-Encoding: base64\n";

  $msg .= "Content-Disposition: attachment; filename=\"$nomFichier\"\n\n";
  $msg .= $contentEncode."\n\n\n";
  $msg .= "--".$boundary."--\n";

// Envoi du message
  if (($resultat=@mail($_REQUEST["adresseElement"], utf8_decode($_REQUEST["titleElement"]), $msg, $headers))===false)     
       $message= $_SESSION["dia"]["sendMailProblem"];
  else $message= $_SESSION["dia"]["sendMailOK"];
 
}
} else { $message= $_SESSION["dia"]["sendMailProblem"]; }

echo $message;

?>