<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Identification pour dmarrage de la session
// Nom      : prive.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================

function make_serveur_name($rootServeur, $username){
    // construit le path vers le ftp de l'utilisateur
    return $rootServeur . $username[0] . '/' . $username .'/' . '.ftp/';
}
header ("Content-type: text/html; charset=utf-8");
session_start();

include_once "fonctions.php";
// on renseigne le fake-user pour éviter de squizzer tous les contrôles

$_SESSION["listeServeur"][0]="ftp-scribe";
$_SESSION["langUser"]="Francais";
$_SESSION["styleUser"]="Standard";
$_SESSION["typeUser"]=1;
$_REQUEST["login"]="default";


$deflang=deflang();
include_once "lang/$deflang.lang.php";
$racineServeur= getDocumentRoot();
$racineAppli =  getScriptRoot();
$racineDoc= "$racineAppli/Documents/";
$racineBin= "$racineAppli/Corbeille/";
$racineEdt= "$racineAppli/editor/";
$racineLog= "$racineAppli/logs/";
$pathPass = "$racineAppli/wspasswd/conf.ini";
$_SESSION["rootServr"]  = $racineServeur;
$_SESSION["rootAppli"]  = $racineAppli;
$_SESSION["tempDir"]   = "$racineAppli/wstemp/";
$_SESSION["connectBase"]= "";
$lcId     = md5(uniqid(rand(), true));
$pwId     = md5(uniqid(rand(), true));
$connexionBase=0;

// Contenu standard
$contenu='<tr><td style="text-align:left"><div id="message">'.$_SESSION["dia"]["ident"].'</div></td></tr>'
        .'<tr><td><input name="login"   type="text"  id="login"   class="logint"></td></tr>'
        .'<tr><td><input name="pass" type="password" id="pass" class="passwordt"></td></tr>'
        .'<tr><td><input type="submit" value="'.$_SESSION["dia"]["enter"].'" style="border:0;background:transparent"></td></tr>';

$_SESSION["listeServeur"] = array(); $nomSrv="";
$confnom="";  $conftype=0;  $countUser=0;
$visiteurs= array(); $serveurs= array();
$_SESSION["assoc"]= array();

 // Validation du formulaire
 //if (isset($_REQUEST["actif"]) && $_REQUEST["actif"]=="ok") {

  // Ouverture du fichier de configuration et récuperation des informations
  if (is_file($pathPass)!== false) {
    $lines = file($pathPass);

    // Recherche du login
    $account=""; $logUser="";
    foreach ($lines as $line_num => $line) {
        if ( preg_match("/^\[#([[:alnum:][:space:]_-]+)\]/",rtrim($line))==1 ) { $logUser=""; }
    elseif ( preg_match("/^\[\*Webshare\*\]/",rtrim($line))==1 )  { $logUser=""; }
    elseif ( preg_match("/^\[>Associations\]/",rtrim($line))==1 ) { $logUser=""; }
    elseif ( preg_match("/^\[([[:alnum:][:space:]_-]+)\]/", rtrim($line),$visit)==1 )
         { $logUser= $visit[1]; } elseif (!empty($logUser)) {
       list($varnom,$valeur)= explode ("=",rtrim($line));
       if ((trim($varnom)=="logUser")&&(trim($valeur)==trim($_REQUEST["login"])))
         { $account=$logUser; $logUser=""; }
       }
     }
    // Récupération des identifiants de la base de données
    foreach ($lines as $line_num => $line) {
      list($varnom,$valeur)= explode ("=",rtrim($line));
      if (($varnom=="serveurBase")||($varnom=="loginBase")||($varnom=="passBase")||($varnom=="tableBase"))
        $_SESSION["$varnom"]= trim($valeur);
    }

    // Connexion à la base de données
    if (($link=@mysql_pconnect($_SESSION["serveurBase"], $_SESSION["loginBase"], $_SESSION["passBase"]))!==false) {
      if (mysql_select_db($_SESSION["tableBase"])!==false) {
        $_SESSION["connectBase"]= $link;
        mysql_query("SET NAMES 'utf8'");
        $connexionBase=1;
        // Création des tables si celles-ci sont inexistantes
        if (!@mysql_query("SELECT * FROM wslog",$_SESSION["connectBase"])   ||!@mysql_query("SELECT * FROM wsbase",$_SESSION["connectBase"])||
            !@mysql_query("SELECT * FROM wsfiles",$_SESSION["connectBase"]) ||!@mysql_query("SELECT * FROM wsuser",$_SESSION["connectBase"])||
            !@mysql_query("SELECT * FROM wsserver",$_SESSION["connectBase"])||!@mysql_query("SELECT * FROM wsasso",$_SESSION["connectBase"])) {
        // Récupération du fichier ws.sql et création des tables
          $creaTable=@file_get_contents("admin/ws.sql");
          $listTable=explode(";",$creaTable);
          foreach ($listTable as $data) {
            $result= mysql_query($data,$_SESSION["connectBase"]);
          }
        }

      }
    }

    foreach ($lines as $line_num => $line) {
         if ( preg_match("/^\[([[:alnum:][:space:]_-]+)\]/", rtrim($line),$visit)==1 )
            {   $logUser= $visit[1]; $countUser++; if ($account==$logUser) $conftype=1; else $conftype=0; }
     elseif ( preg_match("/^\[#([[:alnum:][:space:]_-]+)\]/",rtrim($line),$servr)==1 )
            {   $logServ= $servr[1]; $conftype=2; }
       elseif ( preg_match("/^\[\*Webshare\*\]/",rtrim($line))==1 )  { $conftype=3; }
       elseif ( preg_match("/^\[>Associations\]/",rtrim($line))==1 ) { $conftype=4; }
       else {
        list($varnom,$valeur)= explode ("=",rtrim($line));
        $varnom= trim($varnom); $valeur= trim($valeur);
        if (!empty($varnom)) switch ($conftype) {
          // Remplissage des informations utilisateurs
          case 1:
          if ($connexionBase==0) {
            if (($varnom=="typeUser")||($varnom=="nomUser")||($varnom=="ipUser")||($varnom=="arboUser")||
                ($varnom=="triUser")||($varnom=="visuUser")||($varnom=="prevUser")||($varnom=="langUser")||
                ($varnom=="webUser")||($varnom=="recoUser")||($varnom=="styleUser")||($varnom=="passUser"))
                 $_SESSION["$varnom"]= $valeur;

            if  ($varnom=="varsUser") $_SESSION["$varnom"]   = "/$valeur/i";

            if  ($varnom=="styleUser") {
             $_SESSION["cheminImg"]  = "style/$_SESSION[styleUser]/images/";
             $_SESSION["cheminIcn"]  = "style/$_SESSION[styleUser]/icones/";
             $_SESSION["formatExt"]  = "png";
             $handle = opendir($racineAppli."/".$_SESSION["cheminIcn"]);
             while (false !== ($entry = readdir($handle))) {
             if (stristr($entry,".gif")!==false)
                   $_SESSION["formatExt"]  = "gif"; }
               closedir($handle); }
             if  (preg_match("/serveur([[:alnum:]]+)/i",$varnom,$numServ)==1) {
                  $_SESSION["listeServeur"][$numServ[1]]= $valeur; }

             if  (preg_match("/auth([[:alnum:]]+)/i",$varnom,$numAuth)==1) {
                  $_SESSION["$varnom"] = $valeur; }
          }
          break;
          // Remplissage des informations serveurs
          case 2:
          if ($connexionBase==0) {
            if (!isset($_SESSION["$logServ"])) {
              $_SESSION["$logServ"] = array();
                $_SESSION["$logServ"]["repServeur"] = "/"; $_SESSION["$logServ"]["startServeur"]="/";
                $_SESSION["$logServ"]["connexion"]  =""; }

            if (($varnom=="typeServeur")||($varnom=="nomServeur")||($varnom=="adrServeur")||($varnom=="logServeur")||
                ($varnom=="passServeur")||($varnom=="portServeur")||($varnom=="repServeur")||($varnom=="startServeur")||
                ($varnom=="webServeur")||($varnom=="binServeur")||($varnom=="protectIndex")||($varnom=="protectHtacc")){
                    if ($varnom=="logServeur"){$valeur=$_SESSION['phpCAS']['user'];}
                    $_SESSION["$logServ"]["$varnom"]= $valeur;
                }

                if ($varnom=="rootServeur"){
                    if (strpos($valeur,'home/') != false){
                        $valeur = make_serveur_name($valeur, $_SESSION['phpCAS']['user']);
                    }
                    $_SESSION["$logServ"]["$varnom"]= str_replace("\$mydoc\$",$racineDoc,$valeur);
                }
          }
          break;
          // Remplissage des préférences
          case 3:
          if ($connexionBase==0) {
            $_SESSION["clicl"] = 0; $_SESSION["clicr"] = 1; $_SESSION["clicd"] = 1;
               if (function_exists("ini_set")&&($varnom=="timeUser")) ini_set("session.gc_maxlifetime", "$valeur");

            if (($varnom=="clicl")||($varnom=="clicr")||($varnom=="clicd")||($varnom=="activeLog")||
                ($varnom=="diapoSp")||($varnom=="pageTitle")||($varnom=="vClock")||($varnom=="compPath")||
                ($varnom=="prevAct")||($varnom=="arboLink")||($varnom=="dynWin")||($varnom=="sendMail")||
                ($varnom=="prevWeb")||($varnom=="effectAct")||($varnom=="activeLog")||($varnom=="sepAdr")||
                ($varnom=="prevPDF")||($varnom=="actConf")||($varnom=="linkWin"))
                 $_SESSION["$varnom"]= $valeur;
          }
          break;
          // Remplissage des informations d'associations
          case 4:
          if ($connexionBase==0) {
            $_SESSION["assoc"]["$varnom"]= array();
            $datas= explode("|",$valeur);
            $_SESSION["assoc"]["$varnom"]["exttype"]= $datas[0];
            $_SESSION["assoc"]["$varnom"]["extmime"]= $datas[1];
            $_SESSION["assoc"]["$varnom"]["extactp"]= $datas[2];
            $_SESSION["assoc"]["$varnom"]["extacts"]= $datas[3];
          }
          break; }
      }
    }

  // Si connexion, on privilégie les informations stockées dans la base
  if ($connexionBase==1) {

    // Remplissage des informations utilisateurs
    if (($result= mysql_query("SELECT * FROM wsuser WHERE logUser='".trim($_REQUEST["login"])."' ",  $_SESSION["connectBase"]))!==false) {
        $countUser=1;
      $row = mysql_fetch_assoc($result);
        $nom = $row["nomUser"];
        $listeServeur = explode ("|",$row["serveurs"]);
        foreach ($listeServeur as $numero => $data) $_SESSION["listeServeur"]["$numero"]= "$data";

        foreach ($row as $varnom => $data) {
          if (($varnom=="typeUser")||($varnom=="nomUser")||($varnom=="ipUser")||($varnom=="arboUser")||
              ($varnom=="triUser")||($varnom=="visuUser")||($varnom=="prevUser")||($varnom=="langUser")||
              ($varnom=="webUser")||($varnom=="recoUser")||($varnom=="styleUser")||($varnom=="passUser"))
                $_SESSION["$varnom"]= $data;

          if  ($varnom=="varsUser") $_SESSION["$varnom"]   = "/$data/i";
          if  (preg_match("/auth([[:alnum:]]+)/i",$varnom,$numAuth)==1) {
            $_SESSION["$varnom"] = $data; }

          if  ($varnom=="styleUser") {
            $_SESSION["cheminImg"]  = "style/$_SESSION[styleUser]/images/";
            $_SESSION["cheminIcn"]  = "style/$_SESSION[styleUser]/icones/";
            $_SESSION["formatExt"]  = "png";
            $handle = opendir($racineAppli."/".$_SESSION["cheminIcn"]);
            while (false !== ($entry = readdir($handle))) {
              if (stristr($entry,".gif")!==false)
                $_SESSION["formatExt"]  = "gif"; }
              closedir($handle); }
        }
      }

    // Remplissage des informations serveurs
    if (($result= mysql_query("SELECT * FROM wsserver ORDER BY triServeur",$_SESSION["connectBase"]))!==false) {
      while ($row = mysql_fetch_assoc($result)) {
        $nom = $row["nomServeur"];
        $_SESSION["$nom"]= array();
        $_SESSION["$nom"]["repServeur"] = "/"; $_SESSION["$nom"]["startServeur"]="/";
        $_SESSION["$nom"]["connexion"]  ="";

        foreach ($row as $varnom => $data) {
          if (($varnom=="typeServeur")||($varnom=="nomServeur")||($varnom=="adrServeur")||($varnom=="logServeur")||
              ($varnom=="passServeur")||($varnom=="portServeur")||($varnom=="repServeur")||($varnom=="startServeur")||
              ($varnom=="webServeur")||($varnom=="binServeur")||($varnom=="protectIndex")||($varnom=="protectHtacc"))
              //recuperation du login user
              if ($varnom=="logServeur"){$data=$_SESSION['phpCAS']['user'];}
              $_SESSION["$nom"]["$varnom"]= $data;
          //fixme:
          if ($varnom=="rootServeur"){
               if (strpos($data,'home/') != false){
                 $data = make_serveur_name($data, $_SESSION['phpCAS']['user']);
               }
               $_SESSION["$nom"]["$varnom"]= str_replace("\$mydoc\$",$racineDoc,$data);
          }


        }
      }
    }

    // Remplissage des préférences
    if (($result= mysql_query("SELECT * FROM wsbase",  $_SESSION["connectBase"]))!==false) {
      $row = mysql_fetch_assoc($result);
      foreach ($row as $varnom => $data) {
        $_SESSION["clicl"] = 0; $_SESSION["clicr"] = 1; $_SESSION["clicd"] = 1;
        if (function_exists("ini_set")&&($varnom=="timeUser")) ini_set("session.gc_maxlifetime", "$data");

        if (($varnom=="clicl")||($varnom=="clicr")||($varnom=="clicd")||($varnom=="activeLog")||
            ($varnom=="serveurBase")||($varnom=="loginBase")||($varnom=="passBase")||($varnom=="tableBase")||
            ($varnom=="diapoSp")||($varnom=="pageTitle")||($varnom=="vClock")||($varnom=="compPath")||
            ($varnom=="prevAct")||($varnom=="arboLink")||($varnom=="dynWin")||($varnom=="sendMail")||
            ($varnom=="prevWeb")||($varnom=="effectAct")||($varnom=="activeLog")||($varnom=="sepAdr")||
            ($varnom=="prevPDF")||($varnom=="actConf")||($varnom=="linkWin"))
        $_SESSION["$varnom"]= "$data";
      }
    }

    // Remplissage des informations d'associations
    if (($result= mysql_query("SELECT * FROM wsasso",  $_SESSION["connectBase"]))!==false) {
      while ($row = mysql_fetch_assoc($result)) {
        foreach ($row as $varData => $data) {
            $_SESSION["assoc"][$row["type"]]= array();
            $_SESSION["assoc"][$row["type"]]["exttype"]= $row["libelle"];
            $_SESSION["assoc"][$row["type"]]["extmime"]= $row["mime"];
            $_SESSION["assoc"][$row["type"]]["extactp"]= $row["action1"];
            $_SESSION["assoc"][$row["type"]]["extacts"]= $row["action2"];
        }
      }
    }

  }

  if (!$countUser) {
  echo "<br/>".$_SESSION["dia"]["noUser"]; exit; }

//  if  ($_SESSION["passUser"]!=md5($_REQUEST["pass"])) {
//   echo $_SESSION["dia"]["cantIdent"]; $_SESSION["typeUser"]=""; exit; }

  if (count($_SESSION["listeServeur"])) {
    $nomSrv= $_SESSION["listeServeur"][0];
    $_SESSION["dossierActif"]=blindeChemin($_SESSION["$nomSrv"]["startServeur"]);
    $_SESSION["serveurActif"]=$_SESSION["$nomSrv"]["nomServeur"];

    foreach ($_SESSION["listeServeur"] as $nomSrv) {
      if (empty($_SESSION["$nomSrv"]["rootServeur"]))
        $_SESSION["$nomSrv"]["rootServeur"]=$racineServeur;
    }

    if (((fileperms("$racineBin")& 0x4000) == 0x4000)&&(isset($_SESSION["binServeur"])))
                                                      $_SESSION["repCorbeille"]=$racineBin;
    if ((fileperms("$racineEdt") & 0x4000) == 0x4000) $_SESSION["repEditor"]=$racineEdt;
    if ((fileperms("$racineLog") & 0x4000) == 0x4000) $_SESSION["repLog"]=$racineLog;

    $_SESSION["uniqKey"]= md5(uniqid(rand(), true));
    include_once "connexion.conf.php";
    logAction("20","1",$_SESSION["dia"]["connected"]." ".$_SESSION["nomUser"],$_SESSION["nomUser"],$_SESSION["dossierActif"],"Private","");
    header("location:start.php"); exit;

  } else {
    echo "<br/>".$_SESSION["dia"]["noServ"]; exit;
  }

} else {
  echo "<br/>".$_SESSION["dia"]["noConf"]; exit;
}

echo $_SESSION["dia"]["identProblem1"]; exit;

//} else { $_SESSION = array();
  //   include "lang/$deflang.lang.php"; }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>WebShare</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="style/favicon2.ico" type="image/ico" />

<script language="JavaScript" src="ident.php" type="text/javascript"></script>
<style type="text/css" title="currentStyle">
    @import url('style/Standard.css');
</style>
</head>
