<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Renomme un dossier ou un fichier
// Nom      : renommer.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";

// Récupération des informations serveurs
if (!empty($_REQUEST["nomSrv"])) $nomSrv= $_REQUEST["nomSrv"];
                            else $nomSrv= $_SESSION["serveurActif"];
                                 $nomPro= $_REQUEST["nomPro"];
                $typeSrv= $_SESSION["$nomSrv"]["typeServeur"];
$chemin=  blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/");

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomLien"]);
verifie($_REQUEST["nomNouveau"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth4"]=="on") {

// Les deux noms doivent être remplis obligatoirement
if (!empty($_REQUEST["nomLien"]) && !empty($_REQUEST["nomNouveau"])) {

// Construction des chemins
  $nomLien= urldecode(stripslashes(trim($_REQUEST["nomLien"])));
  $nomNouveau= convCar(urldecode(stripslashes(trim($_REQUEST["nomNouveau"]))));
  $extNouveau= urldecode(trim($_REQUEST["extNouveau"]));
  if (!empty($extNouveau)) $nomNouveau .=".".$extNouveau;

  $cheminElement=         blindeChemin(utf8_encode($chemin).$nomLien);
  $cheminNouveau= dirname(blindeChemin(utf8_encode($chemin).$nomLien))."/".$nomNouveau;
  if ($cheminNouveau{strlen($cheminNouveau)-1}=='.') $cheminNouveau= substr($cheminNouveau,0,strlen($cheminNouveau)-1);
  if    ($nomNouveau{strlen(   $nomNouveau)-1}=='.')    $nomNouveau= substr(   $nomNouveau,0,strlen($nomNouveau)-1);

// Test du contenu des variables
  if ((preg_match($_SESSION["varsUser"], $_REQUEST["nomNouveau"])==1)||(preg_match($_SESSION["varsUser"], $_REQUEST["extNouveau"])==1)) {
    logAction("11", "-1", $_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$cheminElement,$nomNouveau,"");
  echo $_SESSION["dia"]["noPermission"];
    exit; }

// Renommage du fichier
  if ($typeSrv=="1") {
  // En local
    if (@rename(utf8_decode($cheminElement),utf8_decode($cheminNouveau))===false)
           $message= (($_REQUEST["nomPro"]!="dossier")?$_SESSION["dia"]["theFile"]:$_SESSION["dia"]["theDir"])." '".basename($nomLien)."' ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["renamed"]." ".$_SESSION["dia"]["into"]." '".$nomNouveau."'. ".$erreur;
      else $message= (($_REQUEST["nomPro"]!="dossier")?$_SESSION["dia"]["theFile"]:$_SESSION["dia"]["theDir"])." '".basename($nomLien)."' ".$_SESSION["dia"]["hasBeen"]   ." ".$_SESSION["dia"]["renamed"]." ".$_SESSION["dia"]["into"]." '".$nomNouveau."'  ".$_SESSION["dia"]["withSuccess"];
  } else {
    // En FTP
    $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv,$_SESSION["pts"]);
    if (@ftp_rename($_SESSION["$nomSrv"]["connexion"],utf8_decode($cheminElement),utf8_decode($cheminNouveau))===false)
           $message= (($_REQUEST["nomPro"]!="dossier")?$_SESSION["dia"]["theFile"]:$_SESSION["dia"]["theDir"])." '".basename($nomLien)."' ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["renamed"]." ".$_SESSION["dia"]["into"]." '".$nomNouveau."'. ".$erreur;
      else $message= (($_REQUEST["nomPro"]!="dossier")?$_SESSION["dia"]["theFile"]:$_SESSION["dia"]["theDir"])." '".basename($nomLien)."' ".$_SESSION["dia"]["hasBeen"]   ." ".$_SESSION["dia"]["renamed"]." ".$_SESSION["dia"]["into"]." '".$nomNouveau."'  ".$_SESSION["dia"]["withSuccess"];
  }

}
} else { $message= $_SESSION["dia"]["prohibited"]; }

echo $message;
logAction("11","1",$message,$_SESSION["nomUser"],$cheminElement,$nomNouveau,"");

?>